Overview
PUT/persona-memory/memories/{id}persona_memory

Update memories

Replace a record in memories by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Request body

application/json · optional

  • ecosystemIdoptionalstring
  • deletedAtoptionalstring?
  • personaIdoptionalstring
  • scopeoptionalstring
  • slugoptionalstring
  • memoryTypeoptionalstring
  • descriptionoptionalstring
  • bodyoptionalstring
  • subjectTableoptionalstring?
  • subjectIdoptionalstring?
  • statusoptionalstring
  • supersedesIdoptionalstring?
  • sourceoptionalstring
  • confidenceoptionalinteger
  • tagsoptionalstring[]
  • validFromoptionalstring?
  • validTooptionalstring?
Example
{
  "ecosystemId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "slug": "string",
  "memoryType": "string",
  "description": "string",
  "body": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "status": "string",
  "supersedesId": "string",
  "source": "string",
  "confidence": 0,
  "tags": [
    "string"
  ],
  "validFrom": "string",
  "validTo": "string"
}
Responses
200

memories

  • idstring
  • ecosystemIdstring
  • customerIdstring
  • deletedAtstring?
  • personaIdstring
  • scopestring
  • slugstring
  • memoryTypestring
  • descriptionstring
  • bodystring
  • subjectTablestring?
  • subjectIdstring?
  • statusstring
  • supersedesIdstring?
  • sourcestring
  • confidenceinteger
  • tagsstring[]
  • validFromstring?
  • validTostring?
  • recallCountinteger
  • lastRecalledAtstring?
  • embeddingnumber[]?
  • embeddingModelstring?
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "ecosystemId": "string",
  "customerId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "slug": "string",
  "memoryType": "string",
  "description": "string",
  "body": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "status": "string",
  "supersedesId": "string",
  "source": "string",
  "confidence": 0,
  "tags": [
    "string"
  ],
  "validFrom": "string",
  "validTo": "string",
  "recallCount": 0,
  "lastRecalledAt": "string",
  "embedding": [
    0
  ],
  "embeddingModel": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/persona-memory/memories/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ecosystemId": "string",
  "deletedAt": "string",
  "personaId": "string",
  "scope": "string",
  "slug": "string",
  "memoryType": "string",
  "description": "string",
  "body": "string",
  "subjectTable": "string",
  "subjectId": "string",
  "status": "string",
  "supersedesId": "string",
  "source": "string",
  "confidence": 0,
  "tags": [
    "string"
  ],
  "validFrom": "string",
  "validTo": "string"
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/memories/{id}", {
  method: "PUT",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"ecosystemId\": \"string\",\n  \"deletedAt\": \"string\",\n  \"personaId\": \"string\",\n  \"scope\": \"string\",\n  \"slug\": \"string\",\n  \"memoryType\": \"string\",\n  \"description\": \"string\",\n  \"body\": \"string\",\n  \"subjectTable\": \"string\",\n  \"subjectId\": \"string\",\n  \"status\": \"string\",\n  \"supersedesId\": \"string\",\n  \"source\": \"string\",\n  \"confidence\": 0,\n  \"tags\": [\n    \"string\"\n  ],\n  \"validFrom\": \"string\",\n  \"validTo\": \"string\"\n}",
});
const data = await res.json();